Bug 113164 - FILEOPEN: Chart's columns in OLE object not displayed
Summary: FILEOPEN: Chart's columns in OLE object not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Regressions-EMFPlus-Rework
  Show dependency treegraph
 
Reported: 2017-10-16 21:35 UTC by Xisco Faulí
Modified: 2017-11-26 20:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample (57.13 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-10-16 21:35 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.0 (14.33 KB, image/png)
2017-10-16 21:36 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-16 21:35:00 UTC
Created attachment 137024 [details]
sample

Steps to reproduce:
1. Open attached document

Observed behaviour: Chart's columns aren't displayed in OLE preview.


Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: d4daf634cd9ce8d422d49669c324a2220eba54a9
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-16 21:35:48 UTC
Regression introduced by:

author	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-21 20:44:30 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-22 10:28:57 (GMT)
commit ebc11ae0b132eefd3b1b1a837a8d0ad3ba73b460 (patch)
tree 599ae51a0a42b111f245697e7ad86b7f85681798
parent a3782f1152e4cf02f30003b5f96c7ba603a87db9 (diff)
emfplus: cut over to new EMF+ renderer
We're on par with the old functionality now (modulo a few smaller
issues); overall QoS is much better, we get vector output on pdf
and print, and the need for large offscreen bitmap rendering goes
away.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Thorsten Behrens
Comment 2 Xisco Faulí 2017-10-16 21:36:38 UTC
Created attachment 137025 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 3 Bartosz 2017-11-17 11:30:22 UTC
Fixed with:
https://gerrit.libreoffice.org/#/c/44842/

Please verify if it is fixed correctly.
Comment 4 Xisco Faulí 2017-11-17 12:19:59 UTC
(In reply to Bartosz from comment #3)
> Fixed with:
> https://gerrit.libreoffice.org/#/c/44842/
> 
> Please verify if it is fixed correctly.

Please close it as RESOLVED FIXED then.
I'll verify it tomorrow.
Thanks for fixing it!!
Comment 6 Xisco Faulí 2017-11-26 20:07:47 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group threaded